For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all task lists of the project with the specified id.
      • POSTCreates a new task list.
      • GETReturns the task list with the specified id.
      • PUTUpdates the task list with the specified id.
      • POSTAdds the tasks to the task list with the specified id.
      • POSTChanges the project of the task list with the specified id.
      • POSTCreates a copy of the task list.
      • POSTDeletes the task list with the specified id.
      • POSTRemoves the tasks from the task list with the specified id.
      • POSTArchives or unarchives the task list with the specified id.
      • GETReturns the task with the specified id in the task list with the specified id.
      • POSTUpdates the order of a task in a task list.
      • POSTUpdates the order of the task list with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Lists

Changes the project of the task list with the specified id.

POST
https://api.awork.com/api/v1/projects/:projectId/tasklists/:taskListId/changeproject
POST
/api/v1/projects/:projectId/tasklists/:taskListId/changeproject
$curl -X POST https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/changeproject \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "projectId": "123e4567-e89b-12d3-a456-426614174000",
> "taskStatusMapping": [
> {
> "oldStatusId": "123e4567-e89b-12d3-a456-426614174000",
> "newStatusId": "123e4567-e89b-12d3-a456-426614174000"
> }
> ]
>}'
This endpoint also moves all tasks and time entries to the new project. This will also change the tracked time sum of the old and new projects. The task status mapping will move all tasks of a certain status to the new provided status on the mapping. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Creates a copy of the task list.

Next
Built with

This endpoint also moves all tasks and time entries to the new project. This will also change the tracked time sum of the old and new projects. The task status mapping will move all tasks of a certain status to the new provided status on the mapping.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.
taskListIdstringRequiredformat: "uuid"
The id of the task list.

Request

The change Project form For Task Lists.
projectIdstringRequiredformat: "uuid"
The id of the project the list will be moved to.
taskStatusMappinglist of objectsRequired
The task status mapping from old task status to new task status.

Response

No Content